Create R alias:

  $ alias R="${CRAM_REMOTE_COMMAND:-}"

Check that ubus has expected datamodels available:

  $ R "ubus list | grep '[[:upper:]]' | grep -v -e '\.[[:digit:]]' -e 'WiFi.Vendor.Daemon' -e 'WiFi.Vendor.ModuleMode' -e '^Bridging.Bridge.[SV]'"
  ACLManager
  ACLManager.Role
  Bridging
  Bridging.Bridge
  Buttons
  Buttons.Button
  CaptivePortal
  CaptivePortal.LANInterface
  Cthulhu
  Cthulhu.Config
  Cthulhu.Config.Debug
  Cthulhu.Container
  Cthulhu.Container.Instances
  Cthulhu.Information
  Cthulhu.Plugins
  Cthulhu.PluginsPrivate
  Cthulhu.PluginsPrivate.NetworkConfig
  Cthulhu.PluginsPrivate.NetworkConfig.FirewallRules
  Cthulhu.PluginsPrivate.NetworkConfig.Interfaces
  Cthulhu.Sandbox
  Cthulhu.Sandbox.Instances
  Cthulhu.Sandbox.Instances.Plugins.DHCP
  Cthulhu.Sandbox.Instances.Plugins.DHCP.Interfaces
  DHCPv4Client
  DHCPv4Client.Client
  DHCPv4Server
  DHCPv4Server.Pool
  DHCPv6Client
  DHCPv6Client.Client
  DHCPv6Server
  DHCPv6Server.Pool
  DNS
  DNS.Client
  DNS.Client.Server
  DNS.Diagnostics
  DNS.Diagnostics.NSLookupDiagnostics
  DNS.Diagnostics.NSLookupDiagnostics.Result
  DNS.Relay
  DNS.Relay.Forwarding
  DNS.Relay.X_PRPL-COM_Config
  DNS.X_PRPL-COM_ForwardZone
  DNS.X_PRPL-COM_Host
  DNS.X_PRPL-COM_RebindProtection
  DNS.X_PRPL-COM_RebindProtection.DomainExceptions
  DNS.X_PRPL-COM_RebindProtection.IPExceptions
  DNSSD
  DNSSD.Advertise
  DNSSD.Service
  DSLite
  DSLite.InterfaceSetting
  Device
  Device.Bridging
  Device.CaptivePortal
  Device.DHCPv4
  Device.DHCPv4.Server
  Device.DHCPv6
  Device.DHCPv6.Server
  Device.DNS
  Device.DNS.SD
  Device.DSLite
  Device.DeviceInfo
  Device.DeviceInfo.ProcessFaults
  Device.DeviceInfo.Reboots
  Device.DeviceInfo.TemperatureStatus
  Device.DynamicDNS
  Device.Ethernet
  Device.Firewall
  Device.Hosts
  Device.IP
  Device.IP.Diagnostics
  Device.InterfaceStack
  Device.LEDs
  Device.Logical
  Device.MQTT
  Device.MQTT.Broker
  Device.ManagementServer
  Device.NAT
  Device.NeighborDiscovery
  Device.PCP
  Device.PPP
  Device.PacketInterception
  Device.QoS
  Device.RouterAdvertisement
  Device.Routing
  Device.SSH
  Device.Security
  Device.SoftwareModules
  Device.Syslog
  Device.Time
  Device.UPnP
  Device.UserInterface
  Device.Users
  Device.WiFi
  Device.XPON
  Device.X_PRPL-COM_Buttons
  Device.X_PRPL-COM_MultiSettings
  Device.X_PRPL-COM_PersistentConfiguration
  Device.X_PRPL-COM_WANManager
  DeviceInfo
  DeviceInfo.DeviceImageFile
  DeviceInfo.FirmwareImage
  DeviceInfo.Location
  DeviceInfo.LogRotate
  DeviceInfo.MemoryStatus
  DeviceInfo.ProcessStatus
  DeviceInfo.ProcessStatus.Process
  DeviceInfo.Processor
  DeviceInfo.VendorConfigFile
  DeviceInfo.VendorLogFile
  Devices
  Devices.Config
  Devices.Config.global
  Devices.Config.location
  Devices.Config.mDNSScanner
  Devices.Config.mod-self
  Devices.Config.priority
  Devices.Device
  Devices.Query
  DynamicDNS
  DynamicDNS.Client
  DynamicDNS.Server
  Ethernet
  Ethernet.Interface
  Ethernet.Link
  Ethernet.RMONStats
  Ethernet.VLANTermination
  Firewall
  Firewall.Chain
  Firewall.ConnectionTracking
  Firewall.ConnectionTracking.SIP
  Firewall.DMZ
  Firewall.Level
  Firewall.Pinhole
  Firewall.Policy
  Firewall.Service
  Firewall.Set
  Firewall.X_PRPL-COM_InterfaceSetting
  Firewall.X_PRPL-COM_Log
  Firewall.X_PRPL-COM_WANAccess
  Firewall.X_PRPL-COM_WANAccess.BlockList
  Hosts
  Hosts.AccessControl
  Hosts.Host
  Hosts.X_PRPL-COM_HostConfig
  IP
  IP.ActivePort
  IP.Interface
  IPDiagnostics
  IPDiagnostics.DownloadDiagnostics
  IPDiagnostics.DownloadDiagnostics.IncrementalResult
  IPDiagnostics.DownloadDiagnostics.PerConnectionResult
  IPDiagnostics.IPPing
  IPDiagnostics.IPPing.Process
  IPDiagnostics.TraceRoute
  IPDiagnostics.TraceRoute.Process
  IPDiagnostics.TraceRoute.RouteHops
  IPDiagnostics.UploadDiagnostics
  IPDiagnostics.UploadDiagnostics.IncrementalResult
  IPDiagnostics.UploadDiagnostics.PerConnectionResult
  IPDiagnostics.X_PRPL-COM_DownloadConfig
  IPDiagnostics.X_PRPL-COM_DownloadResult
  IPDiagnostics.X_PRPL-COM_DownloadResult.Config
  IPDiagnostics.X_PRPL-COM_DownloadResult.Process
  IPDiagnostics.X_PRPL-COM_UploadConfig
  IPDiagnostics.X_PRPL-COM_UploadResult
  IPDiagnostics.X_PRPL-COM_UploadResult.Config
  IPDiagnostics.X_PRPL-COM_UploadResult.IncrementalResult
  IPDiagnostics.X_PRPL-COM_UploadResult.PerConnectionResult
  IPDiagnostics.X_PRPL-COM_UploadResult.Process
  LEDs
  LEDs.LED
  Logical
  Logical.Interface
  Logical.X_PRPL-COM_Subnet
  Logical.X_PRPL-COM_Subnet.Config
  MCASTD
  MCASTD.Debug
  MCASTD.Debug.Zone
  MCASTD.Intf
  MCASTD.Tuner
  MQTTBroker
  MQTTBroker.Broker
  ManagementServer
  ManagementServer.ACSTransfers
  ManagementServer.ACSTransfers.ACSTransfer
  ManagementServer.ConnRequest
  ManagementServer.HeartbeatPolicy
  ManagementServer.InformParameter
  ManagementServer.InternalSettings
  ManagementServer.ManageableDevice
  ManagementServer.SMM
  ManagementServer.SMM.DUStateChangeComplete
  ManagementServer.State
  ManagementServer.Stats
  ManagementServer.Subscription
  ManagementServer.Transfers
  ManagementServer.Transfers.ScheduleDownload
  MultiSettings
  MultiSettings.Profile
  NAT
  NAT.InterfaceSetting
  NAT.PortMapping
  NAT.PortTrigger
  NAT.X_PRPL-COM_StaticNAT
  NAT.X_PRPL-COM_StaticNAT.Host
  NeighborDiscovery
  NeighborDiscovery.InterfaceSetting
  NetDev
  NetDev.ConversionTable
  NetDev.ConversionTable.Protocol
  NetDev.ConversionTable.Scope
  NetDev.ConversionTable.Table
  NetDev.Link
  NetDev.Stats
  NetModel
  NetModel.Intf
  PCP
  PCP.Client
  PPP
  PPP.Interface
  PacketInterception
  PacketInterception.CommunicationConfig
  PacketInterception.CommunicationConfig.Socket
  PacketInterception.Condition
  PacketInterception.Interception
  PacketInterception.PacketHandler
  PersistentConfiguration
  PersistentConfiguration.BackupFile
  PersistentConfiguration.Config
  PersistentConfiguration.Config.Security
  PersistentConfiguration.Service
  ProcessFaults
  ProcessFaults.ProcessFault
  ProcessMonitor
  ProcessMonitor.Test
  ProxyManager
  QoS
  QoS.Classification
  QoS.Node
  QoS.Queue
  QoS.QueueStats
  QoS.Scheduler
  QoS.Shaper
  Reboot
  Reboot.Reboot
  Reboot.X_PRPL-COM_Reasons
  Rlyeh
  Rlyeh.Images
  RouterAdvertisement
  RouterAdvertisement.InterfaceSetting
  Routing
  Routing.RIP
  Routing.RIP.InterfaceSetting
  Routing.RouteInformation
  Routing.RouteInformation.InterfaceSetting
  Routing.Router
  SSH
  SSH.AuthorizedKey
  SSH.Server
  Security
  Security.Certificate
  SoftwareModules
  SoftwareModules.DeploymentUnit
  SoftwareModules.ExecEnv
  SoftwareModules.ExecutionUnit
  SoftwareModules.NetworkConfig
  SoftwareModules.NetworkConfig.Interfaces
  Syslog
  Syslog.Action
  Syslog.Filter
  Syslog.Source
  Syslog.Template
  System
  TemperatureStatus
  TemperatureStatus.TemperatureSensor
  Time
  Time.Client
  Time.Server
  Timingila
  UPnP
  UPnP.Device
  UPnP.Device.Capabilities
  UPnP.X_PRPL-COM_IGDConfig
  Unbound
  UserInterface
  UserInterface.HTTPAccess
  Users
  Users.Group
  Users.Role
  Users.SupportedShell
  Users.User
  WANManager
  WANManager.WAN
  WiFi
  WiFi.AccessPoint
  WiFi.AutoCommitMgr
  WiFi.AutoNeighbourAddition
  WiFi.Config
  WiFi.DaemonMgt
  WiFi.DaemonMgt.Daemon
  WiFi.EndPoint
  WiFi.Radio
  WiFi.SSID
  WiFi.Vendor
  WiFi.wps_DefParam
  XPON
  XPON.ONU
  X_PRPL-ORG
  X_PRPL-ORG.prplMeshAgent
  X_PRPL-ORG.prplMeshAgent.Fronthaul
